ReviewSessionDetailOutput

Session with all insights for contextual review

  • applicationId
    Type: stringFormat: uuid
    required

    Application ID associated with this session

  • caliperSessionId
    Type: string
    required

    Caliper session ID for evidence tracking

  • durationInSeconds
    Type: integer
    required

    Duration of the session in seconds

  • endedAtTime
    Type: stringFormat: date-time
    required

    Timestamp when the session ended

  • id
    Type: stringFormat: uuid
    required

    Unique identifier for the session

  • insights
    Type: array object[] · ReviewInsightOutput[]
    required

    All insights in this session with their review state

    Insight information for review queue

    • applicationId
      Type: stringFormat: uuid
      required

      Application ID associated with this insight

    • durationInSeconds
      Type: integer
      required

      Duration of the insight in seconds

    • endedAtTime
      Type: stringFormat: date-time
      required

      Timestamp when the insight period ended

    • id
      Type: stringFormat: uuid
      required

      Unique identifier for the insight

    • insightType
      Type: string
      required

      Insight type slug (data-driven, see GET /insights/1.0/types for available types)

    • reason
      Type: string
      required

      Detailed reason or description for the insight

    • review
      required

      Review information if reviewed, null if pending

      • reviewedAt
        Type: stringFormat: date-time
        required

        Timestamp when the review was performed

      • reviewedBy
        Type: stringFormat: uuid
        required

        User ID of the reviewer

      • reviewNotes
        Type: string | null
        required

        Notes provided by the reviewer

      • reviewResult
        Type: stringenum
        required

        Result of a review

        values
        • TruePositive
        • FalsePositive
    • sessionId
      Type: stringFormat: uuid
      required

      Session ID associated with this insight

    • startedAtTime
      Type: stringFormat: date-time
      required

      Timestamp when the insight period started

    • toolId
      Type: stringFormat: uuid
      deprecated
      required

      Deprecated: Tool ID associated with this insight. Use applicationId instead.

    • userId
      Type: stringFormat: uuid
      required

      User ID associated with this insight

    • version
      Type: string
      max length:  
      16
      required

      Version of the insight

  • isProctored
    Type: boolean
    required

    Whether this session is proctored

  • startedAtTime
    Type: stringFormat: date-time
    required

    Timestamp when the session started

  • userId
    Type: stringFormat: uuid
    required

    User ID associated with this session

  • metadata
    Type: object | null

    Opaque session metadata object

    • propertyName
      Type: anything
  • recordingEndedAtTime
    Type: string | nullFormat: date-time

    Timestamp when the recording ended

  • recordingS3Key
    Type: string | null

    S3 key for the associated proctoring recording

  • recordingStartedAtTime
    Type: string | nullFormat: date-time

    Timestamp when the recording started

  • webcamEnabled
    Type: boolean

    Indicates whether the webcam was enabled for this session